Feeds:
文章
评论

Posts Tagged ‘ruby’

 

First install Ruby 1.8.6 or above, then:

gem install rails

gem install mongrel

gem install mongrel_cluster
gem install mongrel_service
cd D:\tools\redmine-0.9.4   (enter home directory of the Rails app)
mongrel_rails cluster::configure -e production -p 3000 -N 3
mongrel_rails service::install -N Redmine -c D:\tools\redmine-0.9.4 -p 3000 -e production
sc config Redmine start= auto
net start Redmine

Read Full Post »

Ruby-OCI8 gem Available

Ruby-OCI8 1.0.2 gem available, a big thanks to Kubo. I’m glad to have proposed this and made a little contribution.

To install Ruby-OCI8 via gem, follow these steps:

  1. su – root
  2. rpm -ivh oracle-instantclient-basic-11.1.0.1-1.rpm oracle-instantclient-devel-11.1.0.1-1.rpm    (download link; or install oracle full client)
  3. export LD_LIBRARY_PATH=/usr/lib/oracle/11.1.0.1/client/lib:$LD_LIBRARY_PATH
  4. cd /usr/lib/oracle/11.1.0.1/client/lib
  5. ln -s libclntsh.so.11.1 libclntsh.so
  6. gem install ruby-oci8

In one word, If you’ve set up oracle db stuff and LD_LIBRARY_PATH well, simply run:

  $ sudo gem install ruby-oci8 

or

  $ sudo gem update ruby-oci8  (for update)

No “download ruby-oci8.tgz and ruby setup.rb” any more 🙂

Enjoy!

Read Full Post »